"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSnippets = void 0;
const getSnippets = (designSystemPrefix) => [
    {
        name: 'Dynamic Layout',
        snippet: `${designSystemPrefix}-layout \${1:auto-save-key="key"}>\n\t\t\${0:<${designSystemPrefix}-layout-region>}\n</${designSystemPrefix}-layout>`,
        description: 'A dynamic layout component.',
        baseSorting: 1,
        rules: [
            {
                semanticCtx: 'DYNAMIC_LAYOUT',
                rule: 'HIDE',
            },
            {
                semanticCtx: 'DYNAMIC_LAYOUT_ITEM',
                rule: 'HIDE',
            },
        ],
    },
    {
        name: 'Layout Region',
        snippet: `${designSystemPrefix}-layout-region type="\${1:vertical|horizontal|tabs}">\n\t\t$0\n</${designSystemPrefix}-layout-region>`,
        description: 'Dynamic layout region.',
        baseSorting: 4,
        rules: [
            {
                semanticCtx: 'DYNAMIC_LAYOUT',
                rule: 'PROMOTION',
            },
            {
                semanticCtx: 'DYNAMIC_LAYOUT_ITEM',
                rule: 'HIDE',
            },
        ],
    },
    {
        name: 'Layout Item',
        snippet: `${designSystemPrefix}-layout-item \${1:title="Item Title"}>\n\t\t$0\n</${designSystemPrefix}-layout-item>`,
        description: 'Dynamic layout item.',
        baseSorting: 6,
        rules: [
            {
                semanticCtx: 'DYNAMIC_LAYOUT',
                rule: 'PROMOTION',
            },
            {
                semanticCtx: 'DYNAMIC_LAYOUT_ITEM',
                rule: 'HIDE',
            },
        ],
    },
];
exports.getSnippets = getSnippets;
